Processing
Operations for processing submissions
Use this endpoint to start processing a new submission. Provide the submission data in the request body.
Authorizations
Body
submissionIdstringRequired
The ID of the submission
generateTemplatebooleanOptionalDefault:
Whether to generate a template for the submission
falseResponses
200
Returns a message indicating that the processing service has started.
application/json
submissionIdstringRequiredExample:
The ID of the submission
123e4567-e89b-12d3-a456-426614174000messagestringRequiredExample:
Response message
The submission has been queued for processing. You may GET the event statuses using the provided submission ID.templateIdnumberOptionalExample:
The ID of the template if generated
1post/api/processing
POST /api/processing HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"submissionId": "text",
"generateTemplate": false
}200
Returns a message indicating that the processing service has started.
{
"submissionId": "123e4567-e89b-12d3-a456-426614174000",
"message": "The submission has been queued for processing. You may GET the event statuses using the provided submission ID.",
"templateId": 1
}Last updated
Was this helpful?